Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.simevents
Class SimTimeMeasureMatrix

    java.lang.Object
      umontreal.iro.lecuyer.simevents.SimTimeMeasureMatrix

All Implemented Interfaces:
  MeasureMatrix

    public class SimTimeMeasureMatrix

extends Object
implements MeasureMatrix

This matrix of measures contains a single measure corresponding to the current simulation time.

Constructor Summary
`SimTimeMeasureMatrix()`

Method Summary
`double` | `getMeasure(int i, int p)` Returns the measure corresponding to the index `i` and period `p`.
`int` | `getNumMeasures()` Returns the number of measures calculated by the implementation of this interface.
`int` | `getNumPeriods()` Returns the number of periods stored into this matrix of measures.
`void` | `init()` Initializes this matrix of measures for a new simulation replication.
`void` | `regroupPeriods(int x)` Throws an `UnsupportedOperationException`.
`void` | `setNumMeasures(int nm)` Throws an `UnsupportedOperationException`.
`void` | `setNumPeriods(int np)` Throws an `UnsupportedOperationException`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimTimeMeasureMatrix

    public SimTimeMeasureMatrix()

Method Detail

### init

    public void init()

  Description copied from interface: `MeasureMatrix`
  Initializes this matrix of measures for a new simulation replication. This resets the measured values to 0, or initializes the probes used to compute them.

  Specified by:
    `init` in interface `MeasureMatrix`

### getNumMeasures

    public int getNumMeasures()

  Description copied from interface: `MeasureMatrix`
  Returns the number of measures calculated by the implementation of this interface.

  Specified by:
    `getNumMeasures` in interface `MeasureMatrix`
  Returns:
    the number of computed values.

### getNumPeriods

    public int getNumPeriods()

  Description copied from interface: `MeasureMatrix`
  Returns the number of periods stored into this matrix of measures.

  Specified by:
    `getNumPeriods` in interface `MeasureMatrix`
  Returns:
    the number of stored periods.

### setNumMeasures

    public void setNumMeasures(int nm)

  Throws an `UnsupportedOperationException`.

  Specified by:
    `setNumMeasures` in interface `MeasureMatrix`
  Parameters:
    `nm` - the new number of measures.
  Throws:
    `UnsupportedOperationException` - if this method is called.

### setNumPeriods

    public void setNumPeriods(int np)

  Throws an `UnsupportedOperationException`.

  Specified by:
    `setNumPeriods` in interface `MeasureMatrix`
  Parameters:
    `np` - the new number of periods.
  Throws:
    `UnsupportedOperationException` - if this method is called.

### regroupPeriods

    public void regroupPeriods(int x)

  Throws an `UnsupportedOperationException`.

  Specified by:
    `regroupPeriods` in interface `MeasureMatrix`
  Parameters:
    `x` - the number of periods per group.
  Throws:
    `UnsupportedOperationException` - if this method is called.

### getMeasure

    public double getMeasure(int i,
                             int p)

  Description copied from interface: `MeasureMatrix`
  Returns the measure corresponding to the index `i` and period `p`.

  Specified by:
    `getMeasure` in interface `MeasureMatrix`
  Parameters:
    `i` - the index of the measure.
    `p` - the period of the measure.
  Returns:
    the corresponding value.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.